For the complete documentation index, see llms.txt. This page is also available as Markdown.

Characteristics

For each vehicle in your fleet, you can access to technical characteristics set when you create a vehicle or retrieved in DriveQuant vehicle database:

  • Brand, model and version of the vehicle

  • Engine configuration

  • Consumption data

  • Gearbox configuration

  • Vehicle dimensions

  • Tyre dimensions

If you have your admin API key, you can try the API via this link.

Get vehicle's characteristics

get
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
vehicleIdstringRequired

Vehicle id

Header parameters
DriveKit-Admin-API-KeystringRequired

DriveKit Admin API Key

Responses
200

OK

application/json
brandstringOptional

Vehicle's brand

modelstringOptional

Vehicle's model

versionstringOptional

Vehicle's model version

yearstringOptional

Vehicle's model year

typeIndexintegerOptional

Vehicle body type

engineIndexintegerOptional

Engine type

powernumberOptional

Vehicle power (hp)

massnumberOptional

Vehicle mass (kg)

engineDisplacementnumberOptional

Vehicle's engine displacement

gearboxIndexintegerOptional

Gearbox type

consumptionnumberOptional

Combined fuel consumption (l/100km) measured during the New European Driving Cycle (NEDC)

autoGearboxNumberintegerOptional

Number of gear ratios for the automatic gearbox

frontTireSizestring · min: 1Optional

Front tyre size

rearTireSizestring · min: 1Optional

Rear tyre size

lengthnumberOptional

Vehicle length (m)

widthnumberOptional

Vehicle width (m)

heightnumberOptional

Vehicle height (m)

driveWheelsintegerOptional

Drive wheels : 0 -> AV, 1 -> AR, 2 -> 4x4

engineCylinderNbintegerOptional

Engine cylinder number

get/drivekit/admin/vehicles/{vehicleId}/characteristics
GET /v3/drivekit/admin/vehicles/{vehicleId}/characteristics HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Accept: */*
{
  "brand": "Bmw",
  "model": "Serie 1 F21 M 3 Portes",
  "version": "(F21) (2) 140I M PERFORMANCE 3P",
  "year": "2016",
  "typeIndex": 2,
  "engineIndex": 1,
  "power": 340,
  "mass": 1520,
  "engineDisplacement": 2998,
  "gearboxIndex": 3,
  "consumption": 7.8,
  "autoGearboxNumber": 0,
  "frontTireSize": "225/40/18",
  "rearTireSize": "245/35/18",
  "length": 4.32,
  "width": 1.76,
  "height": 1.42,
  "engineCylinderNb": 6,
  "driveWheels": 1
}

Response

Description of each vehicle characteristics is available here.

Last updated

Was this helpful?